export function withInstall(component) {
  component.install = function (app) {
    app.component(component.name, component);
  };
  return component;
}

export function WithInstallOfGlobalMethod(globalName, method) {
  method.install = function (app) {
    app.prototype[globalName] = method;
  };
  return method;
}
